Using newer version of KGL in older version of KOS?

If you have any questions on programming, this is the place to ask them, whether you're a newbie or an experienced programmer. Discussion on programming in general is also welcome. We will help you with programming homework, but we will not do your work for you! Any porting requests must be made in Developmental Ideas.
Post Reply
Rizzoislandgame
DCEmu Junior
DCEmu Junior
Posts: 44
Joined: Sat Dec 30, 2017 4:03 pm
Has liked: 0
Been liked: 0

Using newer version of KGL in older version of KOS?

Post by Rizzoislandgame » Tue Jan 30, 2018 3:54 pm

Hey there! I was wondering if anyone knew if one could use a newer version of KGL with an older version of Kallistios for compiling a program someone made. I believe that they somehow ported the newer version of KGL to the older version of Kallistios to compile it. I already have a legacy XP VM to compile the program, but I'd rather not go through the trouble of reinstalling the entire toolchain on my newer computer since it somehow broke, without actual proof that this works.

TLDR: Can you precompile KGL C/C++ library binaries and move them over to the older system or do I have to completely modify my setup for this?

EDIT: Versions: Newest KGL to Dev ISO R1
"Smile for me, You're in loving hands
Don't be sad today, You can make other plans"

-Smile, Tom Rizzo
User avatar
lerabot
Insane DCEmu
Insane DCEmu
Posts: 126
Joined: Sun Nov 01, 2015 8:25 pm
Has liked: 0
Been liked: 4 times

Re: Using newer version of KGL in older version of KOS?

Post by lerabot » Wed Jan 31, 2018 12:15 pm

I'm using kazade's one. It's working geat so far.

https://github.com/Kazade/libgl

I pulled this into kos-port and used the following commands

make build
make link
make create_kos_link

Just make sure that you backup your previous kGL libs incase you wanna revert to them. this will overwrite your current kGL
Rizzoislandgame
DCEmu Junior
DCEmu Junior
Posts: 44
Joined: Sat Dec 30, 2017 4:03 pm
Has liked: 0
Been liked: 0

Re: Using newer version of KGL in older version of KOS?

Post by Rizzoislandgame » Wed Jan 31, 2018 6:18 pm

lerabot wrote:I'm using kazade's one. It's working geat so far.

https://github.com/Kazade/libgl

I pulled this into kos-port and used the following commands

make build
make link
make create_kos_link

Just make sure that you backup your previous kGL libs incase you wanna revert to them. this will overwrite your current kGL
I tried this but I get an error that basically says it's missing the vec3f.h include header. Could you possibly compile the binaries for me and send it over to me? For some reason my Windows 10 version of Cygwin doesn't want to use make and even after rebasing it keeps giving me errors that some DLL's aren't compatible with my machine. If you could PM me a link so I can put them in my XP machine, that would be awesome!
"Smile for me, You're in loving hands
Don't be sad today, You can make other plans"

-Smile, Tom Rizzo
111
DCEmu Junior
DCEmu Junior
Posts: 42
Joined: Thu Jul 07, 2016 7:11 pm
Has liked: 0
Been liked: 6 times

Re: Using newer version of KGL in older version of KOS?

Post by 111 » Thu Feb 01, 2018 9:41 am

Rizzoislandgame wrote:I was wondering if anyone knew if one could use a newer version of KGL with an older version of Kallistios for compiling a program someone made.
Short answer: no.
PH3NOM's KGL is a major cleanup\rewrite of the original KGL (it's designed to be much closer to standart GL 1.x API, so, for example, there are no explicit glKos*() calls outside of internal implementation). And IIRC things like:
missing the vec3f.h include header.
are a part of the newer KOS (2.x), which is obviously not what you are using (DCDEV isos are based on 1.x snapshots).


also, you don't need a XP VM, everything should work just fine even on Windows 10 (if you are having troubles, try installing on a non-system partition, so you don't have to deal with administrator rights etc).
Rizzoislandgame
DCEmu Junior
DCEmu Junior
Posts: 44
Joined: Sat Dec 30, 2017 4:03 pm
Has liked: 0
Been liked: 0

Re: Using newer version of KGL in older version of KOS?

Post by Rizzoislandgame » Thu Feb 01, 2018 1:42 pm

111 wrote:
Rizzoislandgame wrote:I was wondering if anyone knew if one could use a newer version of KGL with an older version of Kallistios for compiling a program someone made.
Short answer: no.
PH3NOM's KGL is a major cleanup\rewrite of the original KGL (it's designed to be much closer to standart GL 1.x API, so, for example, there are no explicit glKos*() calls outside of internal implementation). And IIRC things like:
missing the vec3f.h include header.
are a part of the newer KOS (2.x), which is obviously not what you are using (DCDEV isos are based on 1.x snapshots).


also, you don't need a XP VM, everything should work just fine even on Windows 10 (if you are having troubles, try installing on a non-system partition, so you don't have to deal with administrator rights etc).

Okay, turns out that Makaqu just can’t be compiled using gl code period according to mankrip. Decided to switch to Bero’s uncompleted Quake engine and get someone to complete it (hopefully).

Also, for some reason whenever I try to install Dev ISO 1-4, it starts new processes before killing the old ones while installing, which leads it to crash my computer. Plus, XP is great for legacy Quake tools!
"Smile for me, You're in loving hands
Don't be sad today, You can make other plans"

-Smile, Tom Rizzo
Post Reply